mapscroller(6)

NAME
mapscroller - a slowly-scrolling map of a random place on Earth.

SYNOPSIS
mapscroller [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed number] [--duration seconds] [--map-level number] [--url-template URL] [--origin LAT/LON] [--no-titles] [--no-arrow] [--fps]

DESCRIPTION
A slowly-scrolling map of a random place on Earth. The map images are loaded from openstreetmap.org, or any compatible service. The Earth is very big, and full of Things. As you ponder these maps, remember that traffic always expands to fill all available lanes, every car is a policy failure, and the concept of "jaywalking" was invented for profit by auto industry lobbyists in the 1920s.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--speed number
    Scrolling speed. 2.0 means twice as fast, 0.5 means half as fast.

--duration seconds
    When in one of the random modes, re-select the map position every N seconds. Default 20 minutes.

--map-level number
    Larger numbers are zoomed in more. 5 - 18, default 15.

--url-template URL
    The map tile server to use. Default: Open Street Map. You can find others here: https://wiki.openstreetmap.org/wiki/Tiles#Servers

--origin location
    "Random" means a fully random location somewhere on Earth, excluding the oceans. "Random-city" means to select from a built-in list of several hundred major cities. This is the default. Otherwise, this must be a latitude/longitude pair, as floats.

--titles | --no-titles
    Whether to show the current coordinates in the upper left. Default true.

--arrow | --no-arrow
    Whether to show a directional arrow in the middle of the screen. Default true.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

FILES
The map tile images are loaded from the network and cached on disk. Up to 20MB of them are retained. Depending on your operating system, the cache directory will be one of:

        $HOME/.cache/xscreensaver/mapscroller/
        $HOME/tmp/.xscreensaver-mapscroller/
        $HOME/.xscreensaver-mapscroller.cache/
        $HOME/Library/Caches/org.jwz.xscreensaver.mapscroller/

BUGS
Some parts of the world are boring.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

HTTP_PROXY, HTTPS_PROXY, http_proxy, or https_proxy
    to get the default proxy host and port.

SEE ALSO
X(1), xscreensaver(1), https://www.openstreetmap.org/

COPYRIGHT
Copyright © 2022 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. OpenStreetMap map data is © OpenStreetMap contributors under the Open Database License.

AUTHOR
Jamie Zawinski.